import sqlite3
from pprint import pprint
from datetime import date, timedelta

conn = sqlite3.connect('stock.db')

c = conn.cursor()

t = ('XOM',)
c.execute('SELECT * FROM stock WHERE sym=?', t)

stkdata = c.fetchall()

xlist = []
ylist = []
for row in stkdata:
    (y,m,d) = row[0].split('-')
    sdate = date(int(y), int(m), int(d))
    xlist.append(sdate)
    ylist.append(row[1])

pprint(xlist)
pprint(ylist)

conn.close()


